const express = require("express");
const router = express.Router();
const empresasController = require("../controllers/empresasController");

// Route for getting all empresas
router.get("/empresas", empresasController.getAllEmpresas);

// Route for getting a specific user by ID
router.get("/empresas/:id", empresasController.getEmpresaById);

// Route for creating a new user
router.post("/empresas", empresasController.createEmpresa);

// Route for updating a user by ID
router.put("/empresas/:id", empresasController.updateEmpresa);

// Route for deleting a user by ID
router.delete("/empresas/:id", empresasController.deleteEmpresa);

module.exports = router;
